Problema

Um erro “você precisa instalar o executável Java SE 6 de legado” quando você abre qualquer aplicativo da Adobe.

Legacy Java error

Solução

Com o Mac OS 10.7 (Lion) e posterior, o executável Java não mais é instalado automaticamente como parte da instalação do SO. Siga qualquer dos métodos abaixo para instala o executável Java.

Método 1

Você pode baixar e instalar o executável Java mais recente a partir do site do Java - Download gratuito do software Java.

Observação:

No Mac OS 10.10 (Yosemite), quando você inicia qualquer produto da Adobe, poderá receber um aviso “O aplicativo foi movido e seu caminho foi alterado...".

Clique no botão Reparar agora ou Atualizar para atualizar a localização e solucionar o problema. Quando solicitado a fornecer asenha,insira sua senha do sistema para concluir.

Mensagem de aviso sobre o aplicativo ter sido movido

Método 2

Se o executável Java não estiver instalado, você é solicitado a instalar o mesmo quando iniciar pela primeira vez qualquer produto da Adobe. Siga as instruções na tela na caixa de diálogo de notificação sobre o Java ser necessário para instalar o mesmo.

Método 3 (Mac OS 10.7 e 10.8)

Use o método a seguir para iniciar a instalação do executável Java ou para confirmar que ele já está instalado.

  1. Siga para Aplicativos > Utilitários > Preferências do Java.
  2. Abra as Preferências do Java.
  3. Se o Java não estiver instalado, você recebe a seguinte mensagem: “Para abrir as Preferências do Java, você precisa do executável Java. Deseja instalar um agora?”

    Mensagem "Java não instalado"
  4. Clique em Instalar e aceite o Contrato de Licença. O executável Java é baixado e instalado.
    Andamento do download do Java
    As Preferências do Java mostra que ele está instalado

Informações adicionais

Muitos aplicativos da Adobe dependem do Oracle Java Runtime Environment (JRE) para que alguns recursos funcionem. A Apple recentemente alterou a forma pela qual ela inclui o Java no Mas OS, e com o Lion, o Java não mais é pré-instalado. É agora uma opção de instalação que você precisa selecionar. 

Como os instaladores e aplicativos atuais da Adobe foram compilados antes destas alterações pela Apple, o software da Adobe considera que o Java esteja instalado. A Adobe e a Apple trabalharam juntas para assegurar que você possa instalar Java ao instalar o SO. Ou ele pode ser instalado mais tarde antes de você instalar aplicativos da Adobe. No momento da execução, quando você inicia um aplicativo da Adobe, será solicitado a instalar o Java se ele já não estiver instalado. Se você não instalar o Java antes de executar um aplicativo da Adobe, pode haver recursos ausentes com com comportamento impróprio. Se você tiver quaisquer problemas, instale o Java para corrigir os problemas. A Adobe recomenda que as organizações de TI corporativas pré-instalem o Java (ou se assegurem que o Java possa ser instalado através de seus firewalls/segurança) para evitar conflitos com aplicativos da Adobe.

Se o executável Java não estiver instalado, alguns problemas conhecidos que possam ocorrer, incluem -

  • Falha em iniciar.
  • Prompts de instalação do executável Java quando você tentar usar os aplicativos.
  • Aplicativos travam ou são encerrados.

Esta obra está licenciada sob uma licença não adaptada da Creative Commons Attribution-Noncommercial-Share Alike 3.0  As publicações do Twitter™ e do Facebook não são cobertas pelos termos do Creative Commons.

Avisos legais   |   Política de privacidade online